Loading...
Searching...
No Matches
version.h File Reference

libyang version definitions More...

`#include "ly_config.h"`
Include dependency graph for version.h:

Go to the source code of this file.

## Macros

#define | LY_PROJ_VERSION "3.13.5"
#define | LY_PROJ_VERSION_MAJOR 3
#define | LY_PROJ_VERSION_MICRO 5
#define | LY_PROJ_VERSION_MINOR 13
#define | LY_VERSION "3.9.13"
#define | LY_VERSION_MAJOR 3
#define | LY_VERSION_MICRO 13
#define | LY_VERSION_MINOR 9

## Functions

uint32_t | ly_version_proj_major (void)
| Get libyang major project version.
uint32_t | ly_version_proj_micro (void)
| Get libyang micro project version.
uint32_t | ly_version_proj_minor (void)
| Get libyang minor project version.
const char * | ly_version_proj_str (void)
| Get libyang string project version.
uint32_t | ly_version_so_major (void)
| Get libyang major SO version.
uint32_t | ly_version_so_micro (void)
| Get libyang micro SO version.
uint32_t | ly_version_so_minor (void)
| Get libyang minor SO version.
const char * | ly_version_so_str (void)
| Get libyang string SO version.

## Detailed Description

libyang version definitions

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2020 - 2024 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file version.h.

## Macro Definition Documentation

## LY_PROJ_VERSION

#define LY_PROJ_VERSION "3.13.5"

project version string

Definition at line 33 of file version.h.

## LY_PROJ_VERSION_MAJOR

#define LY_PROJ_VERSION_MAJOR 3

project major version number

Definition at line 30 of file version.h.

## LY_PROJ_VERSION_MICRO

#define LY_PROJ_VERSION_MICRO 5

project micro version number

Definition at line 32 of file version.h.

## LY_PROJ_VERSION_MINOR

#define LY_PROJ_VERSION_MINOR 13

project minor version number

Definition at line 31 of file version.h.

## LY_VERSION

#define LY_VERSION "3.9.13"

libyang version string

Definition at line 28 of file version.h.

## LY_VERSION_MAJOR

#define LY_VERSION_MAJOR 3

libyang major version number

Definition at line 25 of file version.h.

## LY_VERSION_MICRO

#define LY_VERSION_MICRO 13

libyang micro version number

Definition at line 27 of file version.h.

## LY_VERSION_MINOR

#define LY_VERSION_MINOR 9

libyang minor version number

Definition at line 26 of file version.h.

## Function Documentation

## ly_version_proj_major()

uint32_t ly_version_proj_major | ( | void |  | ) |

Get libyang major project version.

Returns
  LY version.

## ly_version_proj_micro()

uint32_t ly_version_proj_micro | ( | void |  | ) |

Get libyang micro project version.

Returns
  LY version.

## ly_version_proj_minor()

uint32_t ly_version_proj_minor | ( | void |  | ) |

Get libyang minor project version.

Returns
  LY version.

## ly_version_proj_str()

const char * ly_version_proj_str | ( | void |  | ) |

Get libyang string project version.

Returns
  LY version.

## ly_version_so_major()

uint32_t ly_version_so_major | ( | void |  | ) |

Get libyang major SO version.

Returns
  LY version.

## ly_version_so_micro()

uint32_t ly_version_so_micro | ( | void |  | ) |

Get libyang micro SO version.

Returns
  LY version.

## ly_version_so_minor()

uint32_t ly_version_so_minor | ( | void |  | ) |

Get libyang minor SO version.

Returns
  LY version.

## ly_version_so_str()

const char * ly_version_so_str | ( | void |  | ) |

Get libyang string SO version.

Returns
  LY version.